<template>
  <div class="panel panel-main">
    <h2>
    <TaskForm @update-task="addTask" />
    <Timesheets v-bind:tasks="tasks" />
  </div>
</template>

<script>
import Timesheets from "../widgets/Timesheets.vue";
import TaskForm from "../widgets/TaskForm.vue";
export default {
  name: "MainPanel",
  components: {
    Timesheets,
    TaskForm
  },
  data: function() {
    return {
      timer: null,
      tasks: []
    };
  },
  methods: {
    addTask: function(task) {
      this.tasks.push(task);
    }
  }
};
</script>

<style>
.panel-main {
  flex-grow: 3;
}
</style>
